Public Member Functions

# wxInitDialogEvent Class Reference
[Events]

`#include <wx/event.h>`

Inheritance diagram for wxInitDialogEvent:
[legend]

## Detailed Description

A wxInitDialogEvent is sent as a dialog or panel is being initialised.

Handlers for this event can transfer data to the window.

The default handler calls wxWindow::TransferDataToWindow.

## Events using this class

The following event handler macros redirect the events to member function handlers 'func' with prototypes like:

void handlerFuncName(wxInitDialogEvent& event)

Event macros:

- EVT_INIT_DIALOG(func):
  Process a `wxEVT_INIT_DIALOG` event.

##

Library: wxCore
Category: Events

See also:
  Events and Event Handling

## Public Member Functions
| wxInitDialogEvent (int id=0)
| Constructor.

List of all members.

## Constructor & Destructor Documentation

wxInitDialogEvent::wxInitDialogEvent | ( | int | id = `0` | ) |

Constructor.

|  | [ top ]